Author Topic: Photoshelter uploader  (Read 2758 times)

Offline Froschphoto

  • Newcomer
  • *
  • Posts: 15
    • View Profile
Photoshelter uploader
« on: March 11, 2014, 01:54:25 PM »
After a recent update (using Photo Mechanic Version 5.0, build 15277 (0ebcc6a) on Mac 15in retina and Mavericks) Photoshelter uploader is no longer working with a message "error activating template . . ." My first inclination is trash the preferences and start over, but as I have a lot of FTPs saved in there that I don't really want to rebuild, I'm wondering if there is something else I should try first?

Thanks

Offline Kirk Baker

  • Senior Software Engineer
  • Camera Bits Staff
  • Superhero Member
  • *****
  • Posts: 24131
    • View Profile
    • Camera Bits, Inc.
Re: Photoshelter uploader
« Reply #1 on: March 11, 2014, 05:48:26 PM »
After a recent update (using Photo Mechanic Version 5.0, build 15277 (0ebcc6a) on Mac 15in retina and Mavericks) Photoshelter uploader is no longer working with a message "error activating template . . ." My first inclination is trash the preferences and start over, but as I have a lot of FTPs saved in there that I don't really want to rebuild, I'm wondering if there is something else I should try first?

The only settings you would need to remove are the PhotoShelter-specific settings files.

-Kirk

Offline Froschphoto

  • Newcomer
  • *
  • Posts: 15
    • View Profile
Re: Photoshelter uploader
« Reply #2 on: March 11, 2014, 06:03:44 PM »
Just for fun I ran a slightly older version of PM 5 and the PhotoShelter upload works like a charm, seems to be only the newest version not playing with PhotoShelter for me now. Kirk, you suggestion to remove only the PhotoShelter-specific related setting files, will I find them in prefs folders? Reopening the newest version of PM 5 and going to PhotoShelter upload gives me the error message and a mostly blake upload screen.

Offline Luiz Muzzi

  • Hero Member
  • *****
  • Posts: 704
    • View Profile
    • Luiz Muzzi Photography
Re: Photoshelter uploader
« Reply #3 on: March 11, 2014, 06:11:24 PM »
Just for fun I ran a slightly older version of PM 5 and the PhotoShelter upload works like a charm, seems to be only the newest version not playing with PhotoShelter for me now. Kirk, you suggestion to remove only the PhotoShelter-specific related setting files, will I find them in prefs folders? Reopening the newest version of PM 5 and going to PhotoShelter upload gives me the error message and a mostly blake upload screen.

Hi,
Latest version of PM works fine with Photoshelter uploader for me, but I'm not using Mavericks yet.
Regards,

-Luiz Muzzi

Offline Froschphoto

  • Newcomer
  • *
  • Posts: 15
    • View Profile
Re: Photoshelter uploader
« Reply #4 on: March 11, 2014, 06:27:05 PM »
Here's the error message, only with the newest version, works fine with the previous version:

Error activating the PhotoShelter template. The error was: #<TypeError: invalid subclass>     /Applications/PhotoMechanic 5 -3-11-14/Photo Mechanic 5.app/Contents/ruby/lib/ruby/1.8/yaml.rb:133:in `transfer'     /Applications/PhotoMechanic 5 -3-11-14/Photo Mechanic 5.app/Contents/ruby/lib/ruby/1.8/yaml.rb:133:in `load'     (eval):423:in `load_from_yaml'     (eval):404:in `load_from_disk'

John

Offline Kirk Baker

  • Senior Software Engineer
  • Camera Bits Staff
  • Superhero Member
  • *****
  • Posts: 24131
    • View Profile
    • Camera Bits, Inc.
Re: Photoshelter uploader
« Reply #5 on: March 11, 2014, 07:15:45 PM »
John,

Here's the error message, only with the newest version, works fine with the previous version:

Error activating the PhotoShelter template. The error was: #<TypeError: invalid subclass>     /Applications/PhotoMechanic 5 -3-11-14/Photo Mechanic 5.app/Contents/ruby/lib/ruby/1.8/yaml.rb:133:in `transfer'     /Applications/PhotoMechanic 5 -3-11-14/Photo Mechanic 5.app/Contents/ruby/lib/ruby/1.8/yaml.rb:133:in `load'     (eval):423:in `load_from_yaml'     (eval):404:in `load_from_disk'

The problem can be fixed by putting Photo Mechanic itself in your Applications folder instead of the dated folder you have it in now.  This problem will be corrected in the next update to Photo Mechanic.

-Kirk

Offline Froschphoto

  • Newcomer
  • *
  • Posts: 15
    • View Profile
Re: Photoshelter uploader
« Reply #6 on: March 13, 2014, 10:48:28 AM »
Gave this a try, just changes the error message to reflect the new path.

"The problem can be fixed by putting Photo Mechanic itself in your Applications folder instead of the dated folder you have it in now.  This problem will be corrected in the next update to Photo Mechanic.

-Kirk"

Offline Brandon

  • Member
  • **
  • Posts: 85
    • View Profile
Re: Photoshelter uploader
« Reply #7 on: March 13, 2014, 04:15:43 PM »
Froschphoto,

You will likely need to find your folder that the uploader worked from last, and then copy the new build into that directory. The issue is with the path, so if you find the original location that it worked from on your last update, and copy the new build there - it should work. However, do note that we plan to release a new build very, very soon which automatically corrects this problem without needing to perform any workarounds.